# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

# we don't want to provide private python extension libs
%{echo 


}

Name:		pyrit
Version:	0.4.0
Release:	alt1_7
# OpenSSL exception
License:	GPLv3+ with exceptions
Group:		Networking/WWW
Summary:	A GPGPU-driven WPA/WPA2-PSK key cracker
URL:		http://code.google.com/p/pyrit/
Source0:	http://pyrit.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:	python-devel libssl-devel zlib-devel libpcap-devel
# Scapy and python-sqlalchemy are needed for full testing
BuildRequires:	scapy python-module-SQLAlchemy
Requires:	scapy
Source44: import.info
%add_findprov_skiplist %{python_sitelibdir}/.*\.so$

%description
Pyrit exploits the computational power of many-core and GPGPU-platforms to
create massive databases, pre-computing part of the WPA/WPA2-PSK authentication
phase in a space-time trade-off. It is a powerful attack against one of the 
world's most used security-protocols.
Please note that this package only provides CPU support, GPUGPU support requires
CUDA or OpenCL, which have no Free Software implementations at this time.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=%{buildroot}
chmod 755 %{buildroot}%{python_sitelibdir}/cpyrit/*.so

%check
# Can't do the tests in koji, the network tests fail, even against loopback
# pushd test
# export PYTHONPATH=%{buildroot}/%{python_sitelibdir}
# %{__python} test_pyrit.py 
# popd

%files
%doc CHANGELOG COPYING PKG-INFO README
%{_bindir}/%{name}
%{python_sitelibdir}/cpyrit/
%{python_sitelibdir}/%{name}-%{version}-*.egg-info
%{python_sitelibdir}/%{name}_cli.*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_7
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_6
- initial fc import

